I was attempting to install rubygems on a machine that has, and
otherwise runs ruby just fine (installed in /usr/local/).
every attempt at installing rubygems ends the same way:
after a slew of install -c lines that are fine, I get this
./lib/rubygems/custom_require.rb:27:in `gem_origonal_require' : no
such file to load -- socket (LoadError)

(there's more to the error, but that machine has no network right now,
and I don't feel like typing it all ;)

Thanks in advance.

--Kyle